summaryrefslogtreecommitdiffstats
path: root/source.local/xfce/xfce-build-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/xfce/xfce-build-all.sh')
-rwxr-xr-xsource.local/xfce/xfce-build-all.sh73
1 files changed, 73 insertions, 0 deletions
diff --git a/source.local/xfce/xfce-build-all.sh b/source.local/xfce/xfce-build-all.sh
new file mode 100755
index 0000000..dec432f
--- /dev/null
+++ b/source.local/xfce/xfce-build-all.sh
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Set to 1 if you'd like to install/upgrade package as they are built.
+# This is recommended.
+INST=1
+
+TMP=${TMP:-/tmp}
+
+for package in \
+ xfce4-dev-tools \
+ libxfce4util \
+ xfconf \
+ libxfce4ui \
+ libxfcegui4 \
+ exo \
+ garcon \
+ tumbler \
+ Thunar \
+ xfce4-panel \
+ Thunar \
+ xfce4-settings \
+ xfce4-session \
+ xfdesktop \
+ xfwm4 \
+ xfce4-appfinder \
+ gtk-xfce-engine \
+ xfwm4-themes \
+ xfce4-terminal \
+ orage \
+ xfce4-mixer \
+ thunar-volman \
+ xfce4-power-manager \
+ xfce4-notifyd \
+ xfce4-volumed \
+ xfce4-clipman-plugin \
+ xfce4-screenshooter \
+ xfce4-systemload-plugin \
+ xfce4-taskmanager \
+ xfce4-weather-plugin \
+ ; do
+ cd $package || exit 1
+ ./${package}.SlackBuild || ( touch /tmp/${package}.failed ; exit 1 ) || exit 1
+ if [ "$INST" = "1" ]; then
+ PACKAGE="$(ls -t $TMP/$(ls ${package}*.xz | rev | cut -f2- -d - | rev)-*txz | head -n 1)"
+ if [ -f $PACKAGE ]; then
+ upgradepkg --install-new --reinstall $PACKAGE
+ else
+ echo "Error: package to upgrade "$PACKAGE" not found in $TMP"
+ exit 1
+ fi
+ fi
+ cd ..
+done